> ## Documentation Index
> Fetch the complete documentation index at: https://docs.poly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.poly.ai/feedback

```json
{
  "path": "/api-reference/webhooks/endpoint/list-webhook-endpoints",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# List webhook endpoints



## OpenAPI

````yaml GET /v1/webhook-endpoints
openapi: 3.1.0
info:
  title: PolyAI Alerts API
  version: 1.0.0
  description: >-
    Create alert rules, inspect active alerts, register webhook endpoints, and
    receive signed webhook notifications when alert thresholds are breached.
servers:
  - url: https://api.us.poly.ai
    description: US region
  - url: https://api.uk.poly.ai
    description: UK region
  - url: https://api.eu.poly.ai
    description: EU region
security:
  - ApiKeyAuth: []
paths:
  /v1/webhook-endpoints:
    get:
      summary: List webhook endpoints
      operationId: listWebhookEndpoints
      parameters:
        - $ref: '#/components/parameters/EnabledFilter'
        - $ref: '#/components/parameters/EventTypeFilter'
      responses:
        '200':
          description: Webhook endpoints retrieved successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookEndpointListResponse'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '500':
          $ref: '#/components/responses/InternalServerError'
components:
  parameters:
    EnabledFilter:
      name: enabled
      in: query
      required: false
      schema:
        type: boolean
    EventTypeFilter:
      name: event_type
      in: query
      required: false
      schema:
        $ref: '#/components/schemas/WebhookEventType'
  schemas:
    WebhookEndpointListResponse:
      type: object
      required:
        - data
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/WebhookEndpoint'
    WebhookEventType:
      type: string
      enum:
        - alerts.triggered
        - alerts.resolved
    WebhookEndpoint:
      type: object
      required:
        - id
        - name
        - url
        - enabled
        - event_types
        - timeout_ms
        - created_at
        - updated_at
      properties:
        id:
          type: string
          pattern: ^whe_[A-Za-z0-9]+$
          example: whe_9ZtRcXw3nByK5pVqMaEfJs
        name:
          type: string
          minLength: 1
          maxLength: 255
        url:
          type: string
          format: uri
        enabled:
          type: boolean
          default: true
        event_types:
          type: array
          items:
            $ref: '#/components/schemas/WebhookEventType'
        headers:
          type: object
          additionalProperties:
            type: string
          default: {}
        timeout_ms:
          type: integer
          minimum: 1000
          maximum: 30000
          default: 5000
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
    Error:
      type: object
      properties:
        message:
          type: string
  responses:
    BadRequest:
      description: Validation error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Unauthorized:
      description: Missing or invalid API key.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    InternalServerError:
      description: Internal server error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````